64713: Acronis software: 'Legacy system extension' message on macOS 10.15

Last update: Wed, 2020-05-20 14:25

Symptoms

You are using our product on macOS Catalina (10.15). You get this message from the system:

Legacy System Extension
Existing software on your system loaded a system extension signed by Acronis which will be incompatible with a future version of macOS. Contact the developer for support.

Cause

Due to Apple's new policy for the next version of macOS (10.16), system extensions will no longer be supported in this next version. Currently, Acronis products use system extensions which is the reason why you see this message.

Solution

The current version of macOS (Catalina, 10.15) still supports system extensions; no additional action is required to continue your work with our products. The message only informs you that the next version of macOS will no longer support application functionality that relies on system extensions.

Currently, we are working on updating our products and will release new builds compatible with the next macOS version by this version release date.